package initialize

import (
	"go.uber.org/zap"
	"wails-app/internal/dao"
	"wails-app/internal/global"
	"wails-app/internal/service/uhf"
)

func InitUHFDevices() {
	var devices []dao.UHFReader
	// 从数据库查询所有激活的设备
	if err := global.GVA_DB.Where("is_active = ?", true).Find(&devices).Error; err != nil {
		return
	}

	// 逐个启动设备处理协程
	for _, d := range devices {
		go func(device dao.UHFReader) {
			if err := uhf.StartDeviceHandler(&device); err != nil {
				global.GVA_LOG.Error("启动设备失败", zap.String("code", device.DeviceCode), zap.Error(err))
			}
		}(d)
	}
}
